summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSeung-Woo Kim <sw0312.kim@samsung.com>2022-11-03 13:49:34 +0900
committerSeung-Woo Kim <sw0312.kim@samsung.com>2022-11-03 13:55:40 +0900
commit9b0748b2327d3ff5b8ce309ad4e7afc57ebb7142 (patch)
tree77c2f3183be7ececb184846dcffd56df76fed1d7
parent611a3ba9e4e5698395207e468fac9091fa8abfd3 (diff)
downloadinitrd-recovery-9b0748b2327d3ff5b8ce309ad4e7afc57ebb7142.tar.gz
initrd-recovery-9b0748b2327d3ff5b8ce309ad4e7afc57ebb7142.tar.bz2
initrd-recovery-9b0748b2327d3ff5b8ce309ad4e7afc57ebb7142.zip
Skip to find lib dependency for not existing fileaccepted/tizen/unified/20221109.171123
Even not existing file is also checked the library dependency with get_dep_libs(). Skip not to find lib dependency for not existing file. This removes next error message during mic image creation: /bin/verityctl: error while loading shared libraries: /bin/verityctl: invalid ELF header /hal/lib64/libhal-backend-tbm.so: error while loading shared libraries: /hal/lib64/libhal-backend-tbm.so: cannot open shared object file: No such file or directory /hal/lib64/libhal-backend-tdm.so: error while loading shared libraries: /hal/lib64/libhal-backend-tdm.so: cannot open shared object file: No such file or directory /usr/lib64/libtota.so.1.0.0: error while loading shared libraries: /usr/lib64/libtota.so.1.0.0: cannot open shared object file: No such file or directory Change-Id: I63ced8eb476a59205b0e4b8d146f5cefd78d3b34 Reported-by: Jaehoon Chung <jh80.chung@samsung.com> Signed-off-by: Seung-Woo Kim <sw0312.kim@samsung.com>
-rwxr-xr-xsrc/initrd-recovery/mkinitrd-recovery.sh.in22
1 files changed, 14 insertions, 8 deletions
diff --git a/src/initrd-recovery/mkinitrd-recovery.sh.in b/src/initrd-recovery/mkinitrd-recovery.sh.in
index 1c02311..4a3890d 100755
--- a/src/initrd-recovery/mkinitrd-recovery.sh.in
+++ b/src/initrd-recovery/mkinitrd-recovery.sh.in
@@ -208,10 +208,13 @@ withlib_objects() {
for content in $@; do
do_copy $content
- DEP_LIBS=$(get_dep_libs $content)
- for lib in $DEP_LIBS; do
- do_copy $lib
- done
+ "$LD_LINUX" --verify $content
+ if [ $? -eq 0 ]; then
+ DEP_LIBS=$(get_dep_libs $content)
+ for lib in $DEP_LIBS; do
+ do_copy $lib
+ done
+ fi
done
}
@@ -237,10 +240,13 @@ mvwithlib_objects() {
#-----------------------------------------------------------------------------
libonly_objects() {
for content in $@; do
- DEP_LIBS=$(get_dep_libs $content)
- for lib in $DEP_LIBS; do
- do_copy $lib
- done
+ "$LD_LINUX" --verify $content
+ if [ $? -eq 0 ]; then
+ DEP_LIBS=$(get_dep_libs $content)
+ for lib in $DEP_LIBS; do
+ do_copy $lib
+ done
+ fi
done
}